#ifndef AUTOLAYER_H
#define AUTOLAYER_H

typedef struct
{

    int layer_count;

    int layer_min_iter;
    int layer_max_iter;

    float layer_min_rt;
    float layer_max_rt;

    float scale_min_rt;
    float scale_max_rt;

    int bail_min_iter;
    int bail_max_iter;

    float bail_min_rt;
    float bail_max_rt;

    int pert_min_iter;
    int pert_max_iter;

    float pert_re_min_rt;
    float pert_re_max_rt;

    float pert_im_min_rt;
    float pert_im_max_rt;

} auto_layer;

#endif
