#ifndef USERPARAMS_H
#define USERPARAMS_H

#include <glib.h>

#include "datatypes.h"

typedef struct {
    dr_par   params         [MAX_PAR_SETS][USER_MAX_PARS];
    dr_op    operas         [MAX_PAR_SETS][USER_MAX_OPS];
    int      params_count   [MAX_PAR_SETS];
    gboolean param_used_frs [MAX_PAR_SETS];
    gboolean param_used_als [MAX_PAR_SETS];
    double   numbers        [MAX_NUMS];
}user_params;

void init_user_params(user_params* up);
void copy_user_params(user_params* src, user_params* dest);

#endif
