#ifndef __PAL_ROT_DLG_H
#define __PAL_ROT_DLG_H

#include "fractal_types.h"
#include "palette.h"

typedef struct {
    GtkWidget* window;

    GtkWidget* cycle_f;
    GtkWidget* cycle_b;
    GtkWidget* step_f;
    GtkWidget* step_b;
    GtkWidget* stop;

    image_info* img;
    int idle_id;
} palette_rotation_dialog;

void palette_rotation_dlg_new(palette_rotation_dialog** ptr, image_info* img);

typedef struct {
    GtkWidget* window;

    GtkWidget* r_strength;
    GtkWidget* g_strength;
    GtkWidget* b_strength;
    GtkWidget* r_bands;
    GtkWidget* g_bands;
    GtkWidget* b_bands;
    GtkWidget* apply_button;
    GtkWidget* close_button;

    image_info* img;
} palette_rand_dialog;

void palette_rand_dlg_new(palette_rand_dialog** ptr, image_info* img);

#endif /* __PAL_ROT_DLG_H */
